# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

require 'spork'
require 'rspec'
require 'pp'
require 'pry-byebug'
require 'yaml'

Spork.prefork do
  require 'webmock/rspec'
  require 'simplecov'

  ENV['RSPEC'] = 'true'

  SimpleCov.start do
    add_filter "/bundle"
    add_filter "/spec"
  end

  WebMock.disable_net_connect!( allow_localhost: true )

  RSpec.configure do |config|
    config.before(:each) do
      stub_request( :any, /api.thetvdb.localhost.com/).to_rack( FakeTVDB )
    end

    config.run_all_when_everything_filtered = true
    config.filter_run :focus

    # Run specs in random order to surface order dependencies. If you find an
    # order dependency and want to debug it, you can fix the order by providing
    # the seed, which is printed after each run.
    #     --seed 1234
    config.order = 'random'
    config.fail_fast = true
  end
end

Spork.each_run do
  # This code will be run each time you run your specs.
  RSpec.configure do |config|
    base_dir = File.expand_path("../../", __FILE__)

    Dir["#{base_dir}/lib/tvdb_client/**/*.rb"].each {|f| require f}
    Dir["#{base_dir}/spec/support/**/*.rb"].sort.each { |f| require f}
  end
end

